# Person-detection Application

person-detection is a demo application that runs in the Aether edge and showcases Aether's support for for low-latency, AI/ML driven IOT applications that make use of Aether's support for end-to-end slicing.

## Build base image
```
git clone git@github.com:openvinotoolkit/docker_ci.git
cd docker_ci
python3 docker_openvino.py build -d cpu -os ubuntu18 --distribution runtime --product_version 2021.4
```

## Build person-detection
```
make docker-build
```

## Start RPi camera
### M-JPEG
```
gst-launch-1.0 rpicamsrc bitrate=1000000 ! video/x-raw,width=640,height=480,framerate=25/1,profile=baseline ! jpegenc ! rtpjpegpay ! udpsink host=10.128.99.49 port=5000
```

### H.264
```
gst-launch-1.0 rpicamsrc bitrate=1000000 ! video/x-h264,width=640,height=480,framerate=15/1 ! h264parse ! rtph264pay config-interval=10 pt=96 ! udpsink host=10.128.99.49 port=5000
```

## Start person-detection-app
```
make docker-run
```
```
docker pull registry.aetherproject.org/aether-apps/person-detection-app:<tag>
docker run -itu root:root --privileged --network host registry.aetherproject.org/aether-apps/person-detection-app:<tag>
```

## Quick test
```
./bin/person_detection.sh -i resources/run.mp4
```
or
```
make run-native-test
```
